MONGOC_SOCKET_BIND(3)

NAME
mongoc_socket_bind - mongoc_socket_bind()

SYNOPSIS

int
mongoc_socket_bind (mongoc_socket_t *sock,
                    const struct sockaddr *addr,
                    mongoc_socklen_t addrlen);

PARAMETERS

•   sock: A mongoc_socket_t.

•   addr: A struct sockaddr.

•   addrlen: A mongoc_socklen_t.

DESCRIPTION

This function is a wrapper around the BSD socket bind() interface. It provides better portability between UNIX-like and Microsoft Windows platforms.

RETURNS

0 on success, -1 on failure and errno is set.

AUTHOR
MongoDB, Inc

COPYRIGHT
2017-present, MongoDB, Inc